Bug 284651 - SELinux is preventing /usr/sbin/setsebool (semanage_t) "read" to inotify (inotifyfs_t).
SELinux is preventing /usr/sbin/setsebool (semanage_t) "read" to inotify (ino...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-10 10:56 EDT by Mukund R
Modified: 2008-01-30 14:19 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 14:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mukund R 2007-09-10 10:56:49 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install bugzilla in /var/www/bugzilla-xxxx and add a symlink to it from
2.  Configure apache to use the mod_cgi for bugzilla
3.  Try to get bugzilla scripts permission to write to the directory using the
visual tool boolean section.
Actual results:

Expected results:

Additional info:
Source Context:  system_u:system_r:semanage_tTarget
Context:  system_u:object_r:inotifyfs_tTarget Objects:  inotify [ dir ]Affected
RPM Packages:  policycoreutils-2.0.16-11.fc7 [application]Policy
RPM:  selinux-policy-2.6.4-40.fc7Selinux Enabled:  TruePolicy Type:  targetedMLS
Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  plugins.catchall_fileHost
Name:  orbitPlatform:  Linux orbit #1 SMP Tue Aug 21 21:50:50
EDT 2007 x86_64 x86_64Alert Count:  1First Seen:  Mon 10 Sep 2007 08:14:55 PM
ISTLast Seen:  Mon 10 Sep 2007 08:14:55 PM ISTLocal
ID:  4e2003bb-4bb0-4ab1-9bde-734dc2b93f1aLine Numbers:  Raw Audit Messages :avc:
denied { read } for comm="setsebool" dev=inotifyfs egid=0 euid=0
exe="/usr/sbin/setsebool" exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="inotify"
path="inotify" pid=16987 scontext=system_u:system_r:semanage_t:s0 sgid=0
subj=system_u:system_r:semanage_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:inotifyfs_t:s0 tty=(none) uid=0
Comment 1 Mukund R 2007-09-10 10:59:14 EDT
I tried 

# cd /proc/sys/fs
# /sbin/restorecon -v inotify

It doesn't help.  
Comment 2 Daniel Walsh 2007-09-10 14:38:15 EDT
Fixed in selinux-policy-2.6.4-42.fc7
Comment 3 Daniel Walsh 2008-01-30 14:19:06 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.